GetTransactionInfoById
POST
Query the transaction fee, block height by transaction id. (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
valuestring
Transaction ID (hash). Example: bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319 visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
idstring
Transaction ID (hash).feeinteger
Total fee charged for the transaction. (Unit: sun)blockNumberinteger
Number of the block containing the transaction.blockTimeStampinteger
Timestamp of the block containing the transaction. (Unit: millisecond)contractResultarray
Contract execution result. Contains the ABI-encoded return value as a hex string.Resource consumption receipt of the transaction.
net_feeinteger
Fee paid in TRX when the caller's Bandwidth was insufficient. (Unit: sun)cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/gettransactioninfobyid' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"value": "bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319"}'